package tenant

import (
	model2 "ArmedPolice/app/common/model"
	"ArmedPolice/app/controller/basic"
	"ArmedPolice/app/model"
	"ArmedPolice/app/service"
)

type Instance struct{ *service.Session }

type InstanceHandle func(session *service.Session) *Instance

func (c *Instance) List(name string, page, pageSize int) (*basic.PageDataResponse, error) {
	mSysTenant := model.NewSysTenant()

	out := make([]*model2.SysTenant, 0)

	var count int64

	if err := model2.Pages(mSysTenant.SysTenant, &out, page, pageSize, &count); err != nil {
		return nil, err
	}
	return &basic.PageDataResponse{Data: nil, Count: 0}, nil
}

func (c *Instance) Form() error {
	return nil
}

func (c *Instance) Delete(id uint64) error {
	return nil
}

func NewInstance() InstanceHandle {
	return func(session *service.Session) *Instance {
		return &Instance{session}
	}
}
